summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrebuild-ycm8
1 files changed, 8 insertions, 0 deletions
diff --git a/rebuild-ycm b/rebuild-ycm
new file mode 100755
index 0000000..272a146
--- /dev/null
+++ b/rebuild-ycm
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+TEMPDIR=$(mktemp -d)
+trap "rm -rf '${TMPDIR}'" EXIT TERM
+
+cd $TMPDIR
+cmake -G "Unix Makefiles" -DUSE_SYSTEM_LIBCLANG=ON . ~/.vim/bundle/YouCompleteMe/cpp
+make -j12 ycm_core